#
# spec file for package dumb
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define sover   2
Name:           dumb
Version:        2.0.3
Release:        1.13
Summary:        Dynamic Universal Music Bibliotheque
License:        Zlib
Group:          Productivity/Multimedia/Other
URL:            https://github.com/kode54/dumb
Source0:        %{URL}/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        license-clarification.eml
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(argtable2)
BuildRequires:  pkgconfig(sdl2)

%description
DUMB is a module audio renderer library.
It reads module files and outputs audio that can be dumped
to the actual audio playback library.

%package -n lib%{name}%{sover}
Summary:        Tracker module player library
Group:          System/Libraries

%description -n lib%{name}%{sover}
DUMB is a module audio renderer library.
It reads module files and outputs audio that can be dumped
to the actual audio playback library.

This package contains the shared libraries for dumb.

%package devel
Summary:        Development libraries and headers for libdumb
Group:          Development/Libraries/C and C++
Requires:       lib%{name}%{sover} = %{version}
Suggests:       %{name}-devel-doc

%description devel
The development files that must be installed in order to compile
applications which use libdumb.

%package devel-doc
Summary:        Doc Package for Dumb
Group:          Documentation/Other
Suggests:       %{name} = %{version}

%description devel-doc
DUMB is a module audio renderer library.
It reads module files and outputs audio that can be dumped
to the actual audio playback library.

This package contains the docs for dumb.

%prep
%setup -q

%build
%cmake -DBUILD_ALLEGRO4=OFF
%cmake_build

%install
%cmake_install

%post -n libdumb%{sover} -p /sbin/ldconfig
%postun -n libdumb%{sover} -p /sbin/ldconfig

%files
%{_bindir}/%{name}out
%{_bindir}/%{name}play

%files -n lib%{name}%{sover}
%license LICENSE
%{_libdir}/lib%{name}.so.%{sover}*

%files devel
%{_includedir}/dumb.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/dumb.pc

%files devel-doc
%doc README.md UPDATING_YOUR_PROJECTS.md DUMBFILE_SYSTEM.md CHANGELOG.md
%doc examples

%changelog
* Fri Apr 30 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 2.0.3
  * Dropped dumb2wav binary
  * Removed API deprecated since 0.9.3
  * Deprecated duh_render(), use duh_render_float() and duh_render_int()
  * More supported formats (e.g. FEST MOD files)
  * Default resampling quality is now cubic
  * Fixed: PSM Playback Has Garbled Sound
  * New dumbplay, dumbout examples
  * Better audio playback quality
  * SSE optimizations support
  * New resamplers
  * Seek support
  * Memory leak and bug fixes
- Drop outdated patches:
  * dumb-0.9.3-CVE-2006-3668.patch
  * dumb-0.9.3-DT_NEEDED.patch
  * dumb-0.9.3-example.patch
  * dumb-0.9.3-license-clarification.patch
- SPEC file changes:
  * Build using cmake
  * Drop allegro4 outdated subpackage
  * Some cleanup
- Dumb 0.9.3 was branched as dumb0 package
* Sat Jul  8 2017 jengelh@inai.de
- Replace %%__-type macro indirections
- Rectify wrong summaries
* Sun Jun 30 2013 seife+obs@b1-systems.com
- use "zlib" license as fedora does to allow build
* Mon Feb 21 2011 reddwarf@opensuse.org
- Split dumb from aldmb since allegro5 now uses dumb
* Sat Jul  3 2010 cmorve69@yahoo.es
- Fix DT_NEEDED entries
* Fri Oct 16 2009 saigkill@opensuse.org
- Reworked Spec (Provides/Obsoletes)
* Sun Mar  8 2009 saigkill@opensuse.org
- fixed $LDFLAGS to change the execstac
* Sun Mar  8 2009 saigkill@opensuse.org
- initial Package for openSUSE Build Service based on
  Packman Spec.
* Fri Feb  1 2008 toni@links2linux.de
- First packaged release 0.9.3 based on fedora-spec
  Tue Aug  7 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.9.3
